Name:    kiten
Summary: Japanese Reference/Study Tool
Version: 23.08.5
Release:    1%{?dist}

License: GPLv2+
URL:     https://www.kde.org/applications/education/kiten/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz
Source1: strip.sh

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-karchive-devel
BuildRequires: kf5-kcompletion-devel
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-khtml-devel
BuildRequires: kf5-kcrash-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-knotifications-devel
BuildRequires: pkgconfig(Qt5Widgets)

Requires: %{name}-libs = %{version}-%{release}

%global bundle_font 1


%description
%{summary}.

%package  libs
Summary:  Runtime files for %{name}
Requires: %{name} = %{version}-%{release}
Conflicts: kdeedu-libs < 4.7.0-10
License: LGPLv2+
%description libs
%{summary}.

%package devel
Summary:  Development files for %{name}
Conflicts: kdeedu-devel < 4.7.0-10
License: LGPLv2+
Requires: %{name}-libs = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html

%if !0%{?bundle_font}
rm -fv %{buildroot}%{_datadir}/fonts/kanjistrokeorders/KanjiStrokeOrders.ttf
%endif


%check
for f in %{buildroot}%{_kf5_datadir}/applications/org.kde.kiten*.desktop ; do
desktop-file-validate $f
done


%files -f %{name}.lang
%license COPYING*
%license LICENSES/*
%doc AUTHORS README TODO
%{_kf5_bindir}/kiten
%{_kf5_bindir}/kitengen
%{_kf5_bindir}/kitenkanjibrowser
%{_kf5_bindir}/kitenradselect
%{_kf5_datadir}/kiten/
%{_kf5_metainfodir}/org.kde.kiten.appdata.xml
%{_kf5_datadir}/applications/org.kde.kiten*.desktop
%{_kf5_datadir}/config.kcfg/kiten.kcfg
%{_kf5_datadir}/kxmlgui5/kiten/
%{_kf5_datadir}/kxmlgui5/kitenkanjibrowser/
%{_kf5_datadir}/kxmlgui5/kitenradselect/
%{_kf5_datadir}/icons/hicolor/*/*/kiten.*
%if 0%{?bundle_font}
%{_datadir}/fonts/kanjistrokeorders/KanjiStrokeOrders.ttf
%endif


%files libs
%{_kf5_libdir}/libkiten.so.5*

%files devel
%{_kf5_libdir}/libkiten.so
%{_includedir}/libkiten/


%changelog
* Tue Aug 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.5-1
- initial build
